# Generated by Django 5.1.2 on 2024-10-17 19:22

import django.db.models.deletion
import django_ca.models
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('django_ca', '0046_rename_expires_certificate_not_after_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='CertificateRevocationList',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.PositiveIntegerField(db_index=True, help_text='Monotonically increasing number for the CRLNumber extension.')),
                ('last_update', models.DateTimeField(help_text="The CRL's activation time.")),
                ('next_update', models.DateTimeField(help_text="The CRL's next update time.")),
                ('only_contains_ca_certs', models.BooleanField(default=False)),
                ('only_contains_user_certs', models.BooleanField(default=False)),
                ('only_contains_attribute_certs', models.BooleanField(default=False)),
                ('only_some_reasons', models.JSONField(decoder=django_ca.models.ReasonDecoder, default=None, encoder=django_ca.models.ReasonEncoder, null=True)),
                ('data', models.BinaryField(null=True)),
                ('ca', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_ca.certificateauthority', verbose_name='Certificate Authority')),
            ],
            options={
                'indexes': [models.Index(fields=['ca', 'number', 'only_contains_user_certs', 'only_contains_ca_certs', 'only_contains_attribute_certs', 'only_some_reasons'], name='django_ca_c_ca_id_965937_idx')],
            },
        ),
    ]
